Bug 816797 - [FOR STAGE] Can not log in with new user on stage.
[FOR STAGE] Can not log in with new user on stage.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 23:05 EDT by Yujie Zhang
Modified: 2015-05-14 21:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: rhc-site-0.92.1-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 23:21:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-04-26 23:05:19 EDT
Description of problem:

After I created a new account, I first login ,after accept terms, it will stop on the http://stg.openshift.redhat.com/app/terms page and say 

"
We're sorry, but something went wrong.

We've been notified about this issue and we'll take a look at it shortly.

"

Version-Release number of selected component (if applicable):

stage

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and register a new account
2.login with the new account
3.
  
Actual results:

Can not log in with new user on stage.

Expected results:

It should wrok.

Additional info:
Comment 1 Fabiano Franz 2012-04-27 11:11:19 EDT
I guess this is related to the streamline outage we had ~ yesterday/today. Could you confirm it's ok now?
Comment 2 Xiaoli Tian 2012-04-27 11:15:52 EDT
Tried just now, it still can  not work, I guess you can reproduce it as well by registering a new user and click the confirmation link, login
Comment 3 Clayton Coleman 2012-04-27 11:43:56 EDT
We either need to remove pretty_inspect or require 'pp' someplace global.

Started POST "/app/terms" for 203.114.244.88 at Thu Apr 26 21:55:06 -0400 2012
[Barista] Copying all javascripts
  Processing by TermsController#create as HTML
  Parameters: {"commit"=>"I Accept", "authenticity_token"=>"DSLYaRZZ2ejQxgzmHo4MECQ1LZHqr5qMuebEhzD1g60=", "utf8"=>"✓"}
Completed 500 Internal Server Error in 1ms

NoMethodError (undefined method `pretty_inspect' for #<WebUser:0x7f26b0a4ba40>):
  app/controllers/terms_controller.rb:44:in `create'
Comment 4 Fabiano Franz 2012-04-27 11:59:24 EDT
Fixed, will be available on next stg push.
Comment 5 yquan 2012-04-27 21:32:22 EDT
It's fixed at openshift-2.0.10 on Apr-28th.

Note You need to log in before you can comment on or make changes to this bug.